#include <Wire.h>
#include "RTClib.h"
#include <LiquidCrystal.h>
#include <Stepper.h>

RTC_DS1307 rtc;
const int rs = 12, en = 11, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

const int stepsPerRevolution = 1000;  
const int rolePerMinute = 15;  

Stepper myStepper(stepsPerRevolution, 8, 10, 7, 9);

char daysOfTheWeek[7][12] = {"Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"};

void setup () {
pinMode(6, OUTPUT);
   myStepper.setSpeed(rolePerMinute);

 Serial.begin(9600);
 while (!Serial);
 Serial.begin(57600);
 
digitalWrite(13, HIGH);

 if (! rtc.begin()) {
   lcd.print("Couldn't find RTC");
   while (1);
 }
 
  lcd.begin(16, 2);
 if (! rtc.isrunning()) {
   lcd.print("RTC is NOT running!");
 }
 
}

void loop () { 
  
DateTime now = rtc.now();
   
while(now.minute() == 0){
digitalWrite(6, HIGH);
myStepper.step(-stepsPerRevolution);
lcd.clear();
 }
 
 if(now.minute() == 15){
digitalWrite(6, HIGH);
myStepper.step(-stepsPerRevolution);
lcd.clear();
 }
 
  if(now.minute() == 30){
digitalWrite(6, HIGH);
myStepper.step(-stepsPerRevolution);
lcd.clear();
 }
 
  if(now.minute() == 45){
digitalWrite(6, HIGH);
myStepper.step(-stepsPerRevolution);
lcd.clear();
 }

  digitalWrite(6, LOW);
 lcd.setCursor(0, 1);
 lcd.print(now.year(), DEC);
 lcd.print('/');
 lcd.print(now.month(), DEC);
 lcd.print('/');
 lcd.print(now.day(), DEC);
 lcd.setCursor(0, 0);
 lcd.print(now.hour(), DEC);
 lcd.print(':');
 lcd.print(now.minute(), DEC);
 lcd.print(':');
 lcd.print(now.second(), DEC);
 delay(1);
 }
